Subject: [PWE3] Comments on latest vesrion of G.8110.1/Y.1370.1

From: Stewart Bryant <[email-masked]>
Date: Fri, 21 Jul 2006 18:36:44 +0100

I have just re-read the copy of G.8110.1/Y.1370.1 embedded
in the SG 15 response to the MPLS WG.

https://datatracker.ietf.org/public/liaison_detail.cgi?detail_id=242

and list a number of observations below.

If anyone else has anything that they think should be added, or has any
corrections to the comments below, then please let Loa and myself
know so that we can write a combined response to SG15.

I know that word is not a popular format :), so if anyone needs me
to produce a .pdf version of G.8110.1/Y.1370.1, then let me know.

Regards

Stewart

==============================

In Section 6.1 it says:

Multicasting is supported but currently it is for further study
and later
 Managed bandwidth services are supported but currently they are for 
further study

Surely it is supported or it is for further study?

=====================

In Section 6.5.1 it says

The reserved label space is as described in section 6.3/G.8112.

The only version of G.8112 that I can find specifies reserved labels
in the range 0..31. This text needs to be modified as per the
agreement reached in Ottawa to conform to the IETF label
reservation plan, or G.8112 needs to be modified. If this modification
has already taken place, please point us to the correct version
of G.8112.

=======================

Please could someone explain to me the TTL model in Figure 1?
Why is there no TTL handling on the RHS?

=======================

In the PWE3 appendix the text says

A four octet Control Word may be added to the MPLS payload
field (whether the usage of the Control Word is required or
optional depends on the payload type).

We should have noted that the CW is also used to provide
multiplexing for inband channels such as VCCV.
It might we worth proposing some text to show why inband
multiplexing of OAM is preferable to the reserved label
method.

===========================

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Gray, Eric" <[email-masked]>
Date: Thu, 27 Jul 2006 15:42:09 -0400

I think it can't hurt to ask these questions.  However, I
do have some comments about them...

--
Eric

--> ==============================
--> 
--> In Section 6.1 it says:
--> 
--> Multicasting is supported but currently it is for further study
--> and later Managed bandwidth services are supported but currently 
--> they are for further study
--> 
--> Surely it is [either] supported or it is for further study?

I don't pretend to know what whistles through the mind of
an ITU document editor but, in fairness, they also listed
PHP as not supported but for further study.

I suspect that this means that currently they intend to
support multicast and managed bandwidth but that this is
currently a subject of debate and may change...

--> 
--> =====================
--> 
--> In Section 6.5.1 it says
--> 
--> The reserved label space is as described in section 6.3/G.8112.
--> 
--> The only version of G.8112 that I can find specifies reserved labels
--> in the range 0..31. This text needs to be modified as per the
--> agreement reached in Ottawa to conform to the IETF label
--> reservation plan, or G.8112 needs to be modified. If this 
--> modification
--> has already taken place, please point us to the correct version
--> of G.8112.

In the liaison cover, they say:

"In consideration of your concerns we have agreed not to reserve any 
labels.  If we identify any requirements to use a reserved label in 
the future we will make a request to the IETF mpls Working Group as 
you have suggested.

"We intend to update the existing T-MPLS Recommendations (G.8112 and 
G.8121) to reflect this decision."

I (again) suspect that they have simply not yet made those changes.

--> 
--> =======================
--> 
--> Please could someone explain to me the TTL model in Figure 1?
--> Why is there no TTL handling on the RHS?

This is certainly not clear from the figure, and I do not seem to
have a section 13.1/G.8110 handy.  Maybe it would be clearer if 
the text was with the figure.

However, there is no "TTL handling" on the RHS because this is how
the "pipe model" (from RFC 3443) works: i.e. - TTL gets decremented
exactly once before entering the LSP "pipe" and is ignored on exit
from the LSP "pipe" (it's ignored because it should not have been
sent if it was 0|1, and it would not have been decremented anywhere
enroute).

--> 
--> =======================
--> 
--> In the PWE3 appendix the text says
--> 
--> A four octet Control Word may be added to the MPLS payload
--> field (whether the usage of the Control Word is required or
--> optional depends on the payload type).
--> 
--> We should have noted that the CW is also used to provide
--> multiplexing for inband channels such as VCCV.
--> It might we worth proposing some text to show why inband
--> multiplexing of OAM is preferable to the reserved label
--> method.
--> 
--> ===========================
--> 
--> _______________________________________________
--> pwe3 mailing list
--> [email-masked]
--> https://www1.ietf.org/mailman/listinfo/pwe3
-->